Hextrategy 政府を実装した


2019年 3月 15日
 
 
 政府(ガバメント)を作った。
 
 
 ボタンを押すと

 ちなみにアイコンはエンジェルメーカー氏に描いてもらってる
 
 
 政府画面になる

 ユニットを配属すると、様々な追加効果が出る。


 
 
 カードの下 40ドットを押すと、装備もできる。


 
 
 ユニット一覧では赤表示になる。

 緑は国の領主と部隊の配備。

 そう言えば矢印の下の数字はデバッグ用の配備の内部数字、政府は 1000ケタにして分けてある。
 
 
 
 今の所、領主の能力補整を 100%とした時、大臣の能力補整は 40%、首領の補整は能力の 20%。

 その代わり領主の影響力はその国のみ、大臣は占領してる全国、首領はあらゆる補整に影響する。
 
 
 首領 : そのヒーロー勢力のリーダー、効果は薄いがあらゆる補整に関係する。

 政務 : 主に人々に関係する大臣、人口の伸び、人材の発掘、暴動の抑制など。

 魔術 : 魔術力に関係する大臣、魔術の伸び、アイテムの出現 Lv、火災の抑制など。

 宗教 : マナに関係する大臣、マナの伸び、今の所人材の出現 Lv、地震、嵐、暴動の抑制など。

 警察 : 治安に関係する大臣、治安の伸び、暴動の抑制など。

 軍務 : 軍事に関係する大臣、戦闘時の攻撃、防御補整ボーナス、まだ未実装だが派遣コストの抑制、HP回復の量UPなど予定。
 
 

「Hextrategy 政府を実装した」への2件のフィードバック

  1. DishによるAndroidアプリ作成について大変参考になります、ありがとうございます。
    SDKのversionについてお伺いしたいのですが、いくつのものを作成されていますか?キットカット以上を対象に17で作るかロリポップ以上を対象に21で作るか。
    ゲーム作成上での使える機能の違いなど、もしご存知でしたら教えて頂けると嬉しいです。

  2.  発見が遅れて済みません。

     なんと自分は前回のゲーム CC以降ビルドした事無いので 2年ちょっと浦島状態です(笑)

     前に書いた記事「Android版、Android SDKのダウンロードとインストール」によると推奨ビルドで良い感じがします。
     つまり今 HSPのバージョンは 3.5βでしょうか(正式に3.5になったようです)、記事では推奨以外の APIでビルドエラーが出ているようです(過去の APIなら問題無い)ならそれを考慮して推奨 APIが良いかな、くらいの選択要素しか無い様に自分は思います。

     ザッと公式の更新を見てみました http://www.onionsoft.net/hsp/v35/doclib/history.txt
     3.5になったんですね、HSPについては不具合の修正等、新しい verを使った方が良さそうですが、アンドロイド要素にそれほど追加要素があるようには見えません。

     HSP上の APIによる機能の違いは基本無いと思います。
     しかし、例えば更新にある「加速度・ジャイロセンサー値の取得に対応」みたいのがもし API21の命令要素なら API17ではそもそもビルドできない?、分かりませんけどあったとしてもその程度のはずです。

     APIによる違いはおそらく HSPでは関係ありません。
     下手すると記事にも出てる API10から変わって無い可能性もあるのではないかと思います(何番でビルドしようと、内部的に ver10の要素しか使ってない可能性を予想します、ジャイロとか言われると今は違うのかもしれませんけど)

     一応アンドロイドでは APIの古い verでビルドしたものは新しい verでも動作する、つまり APIの新しいのは付け足しになってるんだと思います。
     しかしその付けたし分のプログラム要素を、HSPで拾って追加実装してるようには予想できないという事です。
     つまり APIの何番でビルドしようと、どのスマホでも動作環境的に変化無いのではと自分は予想します。
     仮にあるとすれば、そのジャイロ要素みたいのが 21だったとして、プログラムで使わなければやっぱり関係ないと思いますし、その程度の違いしか無いという事です。

     たしか CCを作ってた時点では API17でも 21のビルドでも自分の持ってる 4.1か 2くらいのアンドロイドで動いていたと思いますし、それならと製品版は 21でビルドしてたと思います(CCは公開中止になったけど)
     むしろ、おそらく今も機種による動作のバラ付き(verでは無くて)、というものの方が問題になるのではないでしょうか。

     APIによる違いが HSPやスマホで出るとはあまり思えず、その HSPバージョンの推奨 APIで良いのでは、と思います。

     それ以上詳しい事は自分には分かりませんので、HSPの公式に問い合わせるか、HSPの掲示板があるようなので、そちらの猛者(もさ)達に聞いてみるのが良いかと思います。

コメントを残す

メールアドレスが公開されることはありません。